Problème APT avec les fichiers sources.list, sury.list, etc

Mon serveur YunoHost

Matériel: Raspberry à la maison
Version de YunoHost: 3.7.1.3
J’ai accès à mon serveur : En SSH | Par la webadmin
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : oui, je suis derrière un VPN (mais ce n’est pas ce qui pose problème)

Description du problème

Bonjour à tous,

J’ai un petit problème qui semble m’empêcher de mettre à jour Yunohost : Je crois que c’est le bazar dans mes fichiers sources.list

Voici les logs d’un yunohost tolls update

> root@box:~# yunohost tools update
> Info: Fetching available upgrades for system packages…
> Warning: W: Target Packages (main/binary-armhf/Packages) is configured multiple times in /etc/apt/sources.list.d/extra_php_version.list:1 and /etc/apt/sources.list.d/sury.list:1
> Warning: W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/extra_php_version.list:1 and /etc/apt/sources.list.d/sury.list:1
> Warning: W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/extra_php_version.list:1 and /etc/apt/sources.list.d/sury.list:1
> Warning: W: Target Packages (main/binary-armhf/Packages) is configured multiple times in /etc/apt/sources.list.d/extra_php_version.list:1 and /etc/apt/sources.list.d/sury.list:1
> Warning: W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/extra_php_version.list:1 and /etc/apt/sources.list.d/sury.list:1
> Warning: W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/extra_php_version.list:1 and /etc/apt/sources.list.d/sury.list:1
> Error: Something went wrong while updating the cache of APT (Debian's package manager). Here is a dump of the sources.list lines, which might help identify problematic lines: 
> sources.list:deb http://raspbian.raspberrypi.org/raspbian/ stretch main contrib non-free rpi
> sources.list.d/raspi.list:deb http://archive.raspberrypi.org/debian/ stretch main ui
> sources.list.d/docker.list:deb [arch=armhf] https://download.docker.com/linux/raspbian stretch stable
> sources.list.d/extra_php_version.list:deb https://packages.sury.org/php/ stretch main
> sources.list.d/yunohost.list:deb http://forge.yunohost.org/debian/ stretch stable
> sources.list.d/sury.list:deb https://packages.sury.org/php/ stretch main
> Info: Fetching available upgrades for apps…
> Success! Updated the app list 'yunohost'
 

J’ai vu d’autres topics sur le sujet mais les erreurs étaient différentes donc je préfère poser la question.

En vous remerciant d’avance pour votre coup de main :slight_smile:
Bonne journée

A mon avis tu peux supprimer sury.list :

rm /etc/apt/sources.list.d/sury.list

Merci !

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.